////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main()
{
    highp vec4 inputColor = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 baseColor = texture2D(inputImageTexture2, textureCoordinate);


    vec4 result = inputColor * inputColor.a * baseColor.a + baseColor * (1.0 - inputColor.a * baseColor.a);
    gl_FragColor =vec4(result.rgb, baseColor.a);
}