////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
varying highp vec2 textureCoordinate3;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

uniform highp vec2 inputSize;

void main() {
    vec4 inputColor = texture2D(inputImageTexture, textureCoordinate);
    if (inputColor.a == 0.0) {
        gl_FragColor = vec4(0.0);
        return;
    }

    // maskColor
    vec4 maskColor = texture2D(inputImageTexture2, textureCoordinate);
    vec4 backgroundColor = texture2D(inputImageTexture3, textureCoordinate);
    vec4 blendColor = mix(backgroundColor, inputColor, maskColor.a);
    gl_FragColor= blendColor;
}