////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
varying highp vec2 textureCoordinate3;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

void main()
{
    highp vec4 effectColor = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 baseColor = texture2D(inputImageTexture2, textureCoordinate);
    highp vec4 maskColor = texture2D(inputImageTexture3, textureCoordinate);

//    vec4 blendColor = mix(baseColor, effectColor, effectColor.a);
//
//    gl_FragColor = blendColor;

    float maskAlpha = max(effectColor.a, baseColor.a);
    vec3 blendColor = mix(baseColor.rgb, effectColor.rgb, effectColor.a);
    gl_FragColor = vec4(blendColor, maskAlpha);

}
