////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;

uniform float blendWeight;

void main()
{
    highp vec4 inputColor = texture2D(inputImageTexture, textureCoordinate)* blendWeight;
    vec4 finalColor = vec4(inputColor.rgb, inputColor.a);
    gl_FragColor = finalColor;
}
