////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
varying highp vec2 textureCoordinate3;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;


void main()
{
    highp vec4 resultColor1 = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 resultColor2 = texture2D(inputImageTexture2, textureCoordinate);
    highp vec4 garyColor = texture2D(inputImageTexture3, textureCoordinate);

    // 输出最终颜色
     // gl_FragColor = resultColor1 * (1.-garyColor.a);
     // gl_FragColor = resultColor2 * garyColor.a;
    gl_FragColor = mix(resultColor1, resultColor2, garyColor.a);
}