////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;


void main()
{
    highp vec4 baseColor = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 outColor = texture2D(inputImageTexture2, textureCoordinate);

    // 应用mask到输出颜色(存在负值)
    vec4 finalColor  = vec4((baseColor.rgb - outColor.rgb), baseColor.a);

    // 输出最终颜色
    gl_FragColor = finalColor;
}